PDA

View Full Version : problem installing planetccrma in fedora 9



gismo223
23rd January 2009, 11:12 AM
hey,

i am trying to install plannet ccrma-apps via yum. everything has downloaded but when it tries to install i get this error:

rubberband-1.0.1-1.fc9.i386 from fedora has depsolving problems
--> Missing Dependency: libvamp-sdk.so.1.1.0 is needed by package rubberband-1.0.1-1.fc9.i386 (fedora)
sonic-visualiser-1.2-1.fc9.i386 from fedora has depsolving problems
--> Missing Dependency: libvamp-hostsdk.so.2.0.0 is needed by package sonic-visualiser-1.2-1.fc9.i386 (fedora)
Error: Missing Dependency: libvamp-hostsdk.so.2.0.0 is needed by package sonic-visualiser-1.2-1.fc9.i386 (fedora)
Error: Missing Dependency: libvamp-sdk.so.1.1.0 is needed by package rubberband-1.0.1-1.fc9.i386 (fedora)

does anyone know how to fix this?

glennzo
23rd January 2009, 11:22 AM
That installed for me using the standard Fedora repos on my F9 system. sudo yum install rubberband.

gismo223
23rd January 2009, 02:27 PM
thanks for your reply

i tried that but it didnt work. i also tried installing the vamp-sdk via yum but i says that it is already installed.

any ideas?

glennzo
23rd January 2009, 02:45 PM
You tried yum install rubberband but it didn't work? What sort of error output did you get?

gismo223
23rd January 2009, 02:49 PM
the error i get is :

rubberband-1.0.1-1.fc9.i386 from fedora has depsolving problems
--> Missing Dependency: libvamp-sdk.so.1.1.0 is needed by package rubberband-1.0.1-1.fc9.i386 (fedora)
Error: Missing Dependency: libvamp-sdk.so.1.1.0 is needed by package rubberband-1.0.1-1.fc9.i386 (fedora)


is there some where else i can get the files from?

glennzo
23rd January 2009, 03:03 PM
OK, I didn't initially understand that you were actually trying to install rubberband. You said something about installing planet ccrma-apps. Do a little research before taking my advice to heart because I could be way off base here, but if I were in your position I would think about un-installing vamp-plugin-sdk and then issuing yum install rubberband again.

gismo223
24th January 2009, 03:24 AM
i tried that but i get this error message :

rubberband-1.0.1-1.fc9.i386 from installed has depsolving problems
--> Missing Dependency: libvamp-sdk.so.1.1.0 is needed by package rubberband-1.0.1-1.fc9.i386 (installed)
Error: Missing Dependency: libvamp-hostsdk.so.2.0.0 is needed by package sonic-visualiser-1.2-1.fc9.i386 (fedora)
Error: Missing Dependency: libvamp-sdk.so.1.1.0 is needed by package rubberband-1.0.1-1.fc9.i386 (installed)

glennzo
24th January 2009, 11:47 AM
Try these commands then

su -
yum remove fftw vamp-plugin-sdk rubberband
yum clean all
yum install rubberband

Post the output here please.

leigh123linux
24th January 2009, 12:24 PM
Try these commands then

su -
yum remove fftw vamp-plugin-sdk rubberband
yum clean all
exit
yum install rubberband
Post the output here please.

Why exit ? , the OP we need root permissions for the last command .

glennzo
24th January 2009, 12:32 PM
Um, I must still be somewhat groggy. Let me clean that up.

leigh123linux
24th January 2009, 12:39 PM
Um, I must still be somewhat groggy. Let me clean that up.

Hi Glen,

Just woken up ?

What packages does the planetccrma repo provide ?, I have never used it.


Thanks

Leigh

glennzo
24th January 2009, 12:47 PM
http://ccrma.stanford.edu/planetccrma/software/ As I recall it's one of the optional repos that we had available back in the early days of Fedora, although I don't think it was widely used.

Of course the OP doesn't need that repo to install rubberband. It installed without issues on my Fedora 9 desktop toy. I've removed it and installed it again, basically have done everything I've suggested to him. If it works here there's no reason it wouldn't work there.

glennzo
24th January 2009, 12:48 PM
Hi Glen,

Just woken up ?LeighPretty much. It's 6:45 AM here. I've been up since 5:15 or so.

leigh123linux
24th January 2009, 12:59 PM
http://ccrma.stanford.edu/planetccrma/software/ As I recall it's one of the optional repos that we had available back in the early days of Fedora, although I don't think it was widely used.

Of course the OP doesn't need that repo to install rubberband. It installed without issues on my Fedora 9 desktop toy. I've removed it and installed it again, basically have done everything I've suggested to him. If it works here there's no reason it wouldn't work there.

Rubberband resolves here ok , Can gismo223 post the full output like I have below ?


[root@localhost ~]# yum install rubberband
Loaded plugins: refresh-packagekit
qbittorrent | 2.0 kB 00:00
planetcore | 1.9 kB 00:00
planetcore/primary_db | 11 kB 00:00
fedora | 2.8 kB 00:00
rpmfusion-free-updates | 2.7 kB 00:00
planetccrma | 1.9 kB 00:00
planetccrma/primary_db | 132 kB 00:01
rpmfusion-free | 2.7 kB 00:00
rpmfusion-nonfree-updates | 2.7 kB 00:00
fusion | 2.0 kB 00:00
rpmfusion-nonfree | 2.7 kB 00:00
updates | 2.3 kB 00:00
updates/primary_db | 2.4 MB 00:26
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package rubberband.x86_64 0:1.2-1.fc10 set to be updated
--> Processing Dependency: ladspa for package: rubberband
--> Processing Dependency: libvamp-sdk.so.1()(64bit) for package: rubberband
--> Running transaction check
---> Package ladspa.x86_64 0:1.12-9.fc9 set to be updated
---> Package vamp-plugin-sdk.x86_64 0:1.3-2.fc10 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ==============================
Package Arch Version Repository Size
================================================== ==============================
Installing:
rubberband x86_64 1.2-1.fc10 fedora 282 k
Installing for dependencies:
ladspa x86_64 1.12-9.fc9 fedora 36 k
vamp-plugin-sdk x86_64 1.3-2.fc10 updates 113 k

Transaction Summary
================================================== ==============================
Install 3 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 431 k
Is this ok [y/N]:

glennzo
24th January 2009, 01:02 PM
Same here.

[glenn@coolhand ~]$ sudo yum install rubberband
Password:
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* livna: rpm.livna.org
* rpmfusion-nonfree-updates: mirror.liberty.edu
* rpmfusion-free-updates: mirror.liberty.edu
* rpmfusion-free: mirror.liberty.edu
* updates: mirror.cogentco.com
* rpmfusion-nonfree: mirror.liberty.edu
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package rubberband.i386 0:1.2-1.fc10 set to be updated
--> Processing Dependency: ladspa for package: rubberband
--> Processing Dependency: libvamp-sdk.so.1 for package: rubberband
--> Running transaction check
---> Package ladspa.i386 0:1.12-9.fc9 set to be updated
---> Package vamp-plugin-sdk.i386 0:1.3-2.fc10 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== =====
Package Arch Version Repository Size
================================================== ================================================== =====
Installing:
rubberband i386 1.2-1.fc10 repof10 286 k
Installing for dependencies:
ladspa i386 1.12-9.fc9 repof10 36 k
vamp-plugin-sdk i386 1.3-2.fc10 updates 118 k

Transaction Summary
================================================== ================================================== =====
Install 3 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 439 k
Is this ok [y/N]: n
Exiting on user Command
Complete!